public static interface GitEndpointBuilderFactory.GitBuilders
| Modifier and Type | Method and Description |
|---|---|
default GitEndpointBuilderFactory.GitEndpointBuilder |
git(String path)
Git (camel-git)
Perform operations on git repositories.
|
default GitEndpointBuilderFactory.GitEndpointBuilder |
git(String componentName,
String path)
Git (camel-git)
Perform operations on git repositories.
|
default GitEndpointBuilderFactory.GitEndpointBuilder git(String path)
git:localPath
Path parameter: localPath (required)
Local repository pathpath - localPathdefault GitEndpointBuilderFactory.GitEndpointBuilder git(String componentName, String path)
git:localPath
Path parameter: localPath (required)
Local repository pathcomponentName - to use a custom component name for the endpoint
instead of the default namepath - localPathApache Camel